v.cutter(1)	       Grass User's Manual	      v.cutter(1)



NNAAMMEE
       vv..ccuutttteerr  - Polygon Cookie Cutter
       _(_G_R_A_S_S _V_e_c_t_o_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       vv..ccuutttteerr
       vv..ccuutttteerr hheellpp
       vv..ccuutttteerr  [[--oo]]  [[--ll]] [[--aa]] [[--qq]] ccuutttteerr==_n_a_m_e iinnppuutt==_n_a_m_e oouutt--
       ppuutt==_n_a_m_e ttyyppee==_n_a_m_e

DDEESSCCRRIIPPTTIIOONN
       This program provides a way to generate new maps based  on
       an  intersection  of two existing maps.	It in effect pro-
       vides a way to create  masked  versions	of  vector  maps.
       Lines,  sites,  and  polygons  are  clipped correctly.  By
       default v.cutter will extract line-type arcs.

OOPPTTIIOONNSS
   FFllaaggss::
       --qq     Run quietly.  Don't print percent information.

       --oo     Only  intersect  labeled	areas.	 Intersection  of
	      unlabeled areas may not be dependable.  The flag is
	      meaningful only for type=area or type=both.

       --aa     Extract area-edge arc  types  only.   The  flag  is
	      meaningful  only	for  type=line	or type=both.  By
	      default the program uses both  area-edge	and  line
	      arc types.

       --ll     Extract  line arc types only.  The flag is meaning-
	      ful only for type=line or  type=both.   By  default
	      the program uses both area-edge and line arc types.


   PPaarraammeetteerrss::
       ccuutttteerr==_m_a_p_n_a_m_e
	      Name of the binary  vector  file	to  use  for  the
	      cookie cutter.

       iinnppuutt==_m_a_p_n_a_m_e
	      Name  of the binary vector file which is to be cut.

       oouuttppuutt==_m_a_p_n_a_m_e
	      Name of new vector file to be created.

       ttyyppee==_o_b_j_e_c_t _t_y_p_e
	      Type of object (area, line  or  both)  to  extract.
	      The default is to extract lines.




NNOOTTEESS
       If v.cutter is only used to extract lines then it automat-
       ically runs _v_._s_u_p_p_o_r_t on the output file.  If v.cutter  is
       used  to  extract  polygons  then the user may need to run
       _v_._s_p_a_g _-_i  after  running  _v_._c_u_t_t_e_r  to	remove	identical
       lines.


       If type=area then the edge created by the cutter file will
       appear on closed polygons in the output. If type=line then
       the edge does not appear in the output.


       The  attributes	of  the output map will be generated from
       the attributes of the _i_n_p_u_t map.

BBUUGGSS
       There are a few rare situations	that  are  not	currently
       handled correctly.  These mostly involve nodes or vertices
       intersecting exactly with lines of the opposite map.   You
       will know you have hit one of these cases because a lot of
       strange text will start spitting out.


       Borders between areas with the  same  attributes  are  not
       dissolved.


       There  are  many  places where the code could be optimized
       greatly.



SSEEEE AALLSSOO
       _v_._s_p_a_g

       _v_._d_i_g_i_t

       _v_._s_u_p_p_o_r_t

       _v_._c_l_e_a_n

AAUUTTHHOORR
       Dave Gerdes, U.S.Army  Construction  Engineering  Research
       Laboratory



       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_4_/_1_5 _1_5_:_1_8_:_1_6 _$



GRASS 5.0					      v.cutter(1)
